﻿using System;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Threading.Tasks;

namespace SimpleSample
{
	public class Pie : ContentPage
	{
		SfChart chart;
		ObservableCollection<ChartDataPoint> Data ;
		PieSeries pie;
		public Pie ()
		{
			this.Title = "PieChart";
			Data   = new ObservableCollection<ChartDataPoint>();
			StackLayout layout = new StackLayout(){Padding = new Thickness(5,15,5,5)};

			Data.Add(new ChartDataPoint("Jan", 9090));
			Data.Add(new ChartDataPoint("Feb", 2577));
			Data.Add(new ChartDataPoint("Mar", 473));
			Data.Add(new ChartDataPoint("Apr", 120));
			Data.Add(new ChartDataPoint("May", 70));
			Data.Add(new ChartDataPoint("Jun", 20));

			chart = new SfChart ();

			pie = new PieSeries (); 
			pie.ItemsSource = Data;
			pie.EnableDataPointSelection = true;
			pie.SelectedDataPointColor   = Color.FromRgb(245,125,0);
			pie.DataMarker = new ChartDataMarker ();
			pie.EnableSmartLabels = true;
			pie.StartAngle = 75;
			pie.EndAngle = 435;
			pie.DataMarkerPosition = CircularSeriesDataMarkerPosition.OutsideExtended;
			pie.ConnectorLineType = ConnectorLineType.Bezier;

			chart.ChartBehaviors.Add (new ChartSelectionBehavior());
			chart.SelectionChanged += Chart_SelectionChanged;

			chart.VerticalOptions = LayoutOptions.FillAndExpand; 
			chart.Series.Add(pie);
			layout.Children.Add(chart);
			Content = layout;
		}

		void Chart_SelectionChanged (object sender, ChartSelectionEventArgs e)
		{
			pie.ExplodeIndex =	e.SelectedDataPointIndex;
		} 
	}

}
